aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-apps-build-app.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-08-10 15:53:18 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-08-10 16:11:02 +0200
commita7616c262ff994ed1a0930736ab5b8a301c1fd48 (patch)
tree31e3701a545c1b536e2085a28be362489c2ee361 /jjb/common/include-apps-build-app.sh
parent3b98b59cc48296bd0bede0a6e27fee01c2b78aa8 (diff)
Add CMake detection to app build
Change-Id: Id2e8d67aa3890f93b89b340f268597f1c4ec6db6 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-apps-build-app.sh')
-rw-r--r--jjb/common/include-apps-build-app.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/jjb/common/include-apps-build-app.sh b/jjb/common/include-apps-build-app.sh
index 694dcf7d..babd2907 100644
--- a/jjb/common/include-apps-build-app.sh
+++ b/jjb/common/include-apps-build-app.sh
@@ -73,6 +73,12 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
conf.d/autobuild/agl/autobuild package DEST=$(pwd)/package/
export DONE=1
fi
+ if test x"0" = x"$DONE" -a -f CMakeLists.txt; then
+ cmake .
+ make
+ make package || true
+ export DONE=1
+ fi
if test x"0" = x"$DONE" -a -f Makefile ; then
make
make package